=== debian/changelog ===
ros-indigo-cob-frame-tracker (0.6.17-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.16-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #168 <https://github.com/ipa320/cob_control/issues/168> from ipa-aep/bugfix/checkInfinitesimalTwist
    Bugfix/check infinitesimal twist
  * fix wrong axes bug in Infinitesimal distance check
  * add rotational distance computation to abortion criteria
  * Merge pull request #159 <https://github.com/ipa320/cob_control/issues/159> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #160 <https://github.com/ipa320/cob_control/issues/160> from ipa-aep/feature/frametracker_pid_debugging
    add publisher for controller error
  * remove terminal output of period
  * add publisher for controller error
  * use license apache 2.0
  * Contributors: Alexander Pekarovskiy, Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.15-0trusty) trusty; urgency=high

  * Merge pull request #122 <https://github.com/ipa320/cob_control/issues/122> from ipa-fxm/indigo_roslint
    roslint some packages
  * starting to roslint some packages
  * manually fix changelog
  * Contributors: Nadia Hammoudeh García, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.14-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.13-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.12-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.11-0trusty) trusty; urgency=high

  * add frameExists check to FrameTracker
  * updateMarker on startLookat
  * cleanup roslint
  * introduce cfg-parameter enable_abortion_checking
  * Added waitForTransform in the getTransform function.. It threw an transform exception
  * Merge branch 'refactor_profile_generator' of github.com:ipa-fxm-cm/cob_control into test_new_cartesian_controller
    Conflicts:
    cob_frame_tracker/src/cob_frame_tracker.cpp
  * parameterizable scaling_factor
  * Linear interpolation works fine now. There's still a bug in quaternion interpolation.
  * only reset lookat extension
  * prepare interactive_frame_target for being used with lookat
  * prepare frame_tracker for being used with lookat
  * constant publish rate
  * working on log output
  * parameterizable marker_scale
  * re-activate publishHoldTwist, fix typo
  * publish ZeroTwist, root/tip frame selection
  * introduce scaling_factor and dead_man
  * simple spacenav commander
  * temporarily undo publishHoldTwist
  * Contributors: Marco Bezzon, ipa-fxm, ipa-fxm-cm

 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.10-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.9-0trusty) trusty; urgency=high

  * Corrections integrated from PR: [WIP] Finalizing/Testing of TwistController features (#51 <https://github.com/ipa-fxm/cob_control/issues/51>). Renaming from frame_to_collision to link_to_collision.
  * 
    
      * Made some changes for test. - Decreased Duration time for markers. - Corrected pose update for self collision check frames. - Added new scripts.
    
  * boost revision
  * Some preparations for test: IMarker smaller, Alpha settings, More scripts. Default value for Frame Tracker params.
  * 
    
      * Added functionality to hold twist in case of deviation of cart. distance gets to large.
    
  * add actionlib
  * explicit dependency to boost
  * more fixes for migration afer merge
  * remove trailing whitespaces
  * migrate to package format 2
  * review dependencies
  * updates from ipa320
  * cleanup
  * sort dependencies
  * review dependencies
  * Fixed bugs in cartesian_controller: waitFor last available transform else extrapolation error; send always a new constructed StampedTransform instead of using an already existent one, else end-effector is decoupled from manipulator and other confusing things happen...; Added responsible node to tf error msg.
  * code styling cob_frame_tracker
  * Implemented proposals from discussion https://github.com/ipa320/cob_control/pull/38. Removed tabs. Corrected node handles.
  * Removed tracking error publisher / subscriber and removed additional p gain for PD-Control (already done in FrameTracker with PID controller)
  * bug fix
  * 
    
      * Added a publisher for the tracking errors to send them to cob_twist_controller
      * Added a subscriber to collect the errors and put them to the solver.
      * Added a parameter to set the p gain. If 0.0 old behavior is active (default value).
    
  * Contributors: ipa-fxm, ipa-fxm-cm, ipa-fxm-mb

 -- Felix Messmer <fxm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.8-0trusty) trusty; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-frame-tracker (0.6.7-0trusty) trusty; urgency=high

  * restructure namespaces for parameters of cartesian controllers
  * complete revision of frame_tracker structure and action server
  * cleanup/replace cob_srvs
  * beautify CMakeLists
  * cleanup dependencies
  * use individual pid parameters to reduce output
  * remove obsolet files
  * proper expert interaction mode
  * delete obsolete files
  * merged running
  * frame_tracker after merge
  * merge with fxm - not working
  * remove obsolete files
  * last update
  * attach menu to marker, beautify

