=== debian/control ===
Source: ros-indigo-cob-frame-tracker
Section: misc
Priority: extra
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-cob-srvs, ros-indigo-control-toolbox, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-message-generation, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-cob-frame-tracker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-cob-srvs, ros-indigo-control-toolbox, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-interactive-markers, ros-indigo-kdl-conversions, ros-indigo-kdl-parser, ros-indigo-message-runtime, ros-indigo-orocos-kdl, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf, ros-indigo-visualization-msgs
Description: The cob_frame_tracker package
